• Welcome to Final Fantasy Hacktics. Please login or sign up.
 
January 25, 2021, 03:34:55 pm

News:

Use of ePSXe before 2.0 is highly discouraged. Mednafen/RetroArch is recommended for playing/testing, pSX is recommended for debugging.


Trying to play Mods on ePSXe

Started by Trick Track, September 05, 2020, 02:16:51 pm

Trick Track

So I used the PPF-o-matic3 software to patch a BIN of FFT NTSC-U. When I tried to load it in ePSXe it just gives me a black screen. So I used WinISO to make the Bin into an ISO AFTER I patched the Bin, same thing. Any help?
  • Modding version: PSX & WotL

Nyzer

ePSXe is a notably flawed emulator and this is a known issue with it.
  • Modding version: PSX & WotL
  • Discord username: Nyzer

Trick Track

Ah, what emulator can I use then? Also has anyone tried running modded roms on a hacked PS1 classic?
  • Modding version: PSX & WotL

Elric

Quote from: Trick Track on September 05, 2020, 04:12:04 pmAh, what emulator can I use then? Also has anyone tried running modded roms on a hacked PS1 classic?

Some will work. Some will not. Depends on the ASMs used and also which emulator fhe ps1 classic runs off of
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

Trick Track

I'm just trying to run the Lion War mod.
  • Modding version: PSX & WotL

Elric

Quote from: Trick Track on September 05, 2020, 05:28:09 pmI'm just trying to run the Lion War mod.

TLW runs on modded ps1 system (actual system, not the turd sony put out last year) just fine. So itll run on anything that can run a ps1 rom
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

Trick Track

Even if the Sony PSX Classic is hacked with something like BleemSync?

Anyways I got the mod to run in the emulator. Now if I can I'd like to change a unit to something custom like say changing Rad to have a custom sprite. Or does he follow a normal unit technically?
  • Modding version: PSX & WotL

RavenCurow

Unfortunately Rad Alicia and Lavian are not special units and use the generic sprites of their jobs. So if you changed Rad's sprite you would end up changing it for all squires and not just him. Now what you could do, if you wanted to take the amount of time it takes to do it, is make Rad into a special unit by using one of the unused sprites (ie, the duplicate assassin sprites for celia and lede). You would need to use the blank job 3A or 3B depending on what sprite you changed to create his custom job. Then you would need to add in the new Rad via ENTD in FFTPatcher. Also, you might need an asm hack to align the unused sprite with the job as if I remember right they don't line up right in the unit and wldface bin with the empty job slots. Been a while since I used them so you might need to do some trial and error with it. Just make sure you make backups before doing anything. You'll also want to look at the tutorials for sprite editing if you don't know what you're doing with shishi.
  • Modding version: PSX
Ramza: Delita, your hurt?
Delita: No, really? Did you think I was taking a nap down here?

Elric

Quote from: RavenCurow on September 05, 2020, 10:04:34 pmAlso, you might need an asm hack to align the unused sprite with the job as if I remember right they don't line up right in the unit and wldface bin with the empty job slots.

You can do this in the newest FFTP, thanks to Glain
  • Modding version: PSX
<@Angel> Teach a man to fish and he'll open up a fishery to compete against yours.


Journey of the Five Youtube ChannelThe Lion War Current Status
  
Jot5 Leader :: Eventer :: OtherTLW Leader :: Eventer :: Other

RavenCurow

Quote from: Elric on September 05, 2020, 10:14:53 pmYou can do this in the newest FFTP, thanks to Glain

Oh really? I have the newest  patcher. I didn't realize that was an added feature. I'll have to check it out. Thanks for the tip!
  • Modding version: PSX
Ramza: Delita, your hurt?
Delita: No, really? Did you think I was taking a nap down here?

IronJustice

I stand by PSX 1.13. It is so simple and reliable. ePSXe is a lot of manual work, I used to spend hours tweaking all of the visual settings and it never looked right. PSX just seems to work by default, I've not had any problems with Tactics running on it. Most other games too for that matter.
  • Modding version: PSX
FFT: Spirit of '98 is out and ready for testers!
  • Discord username: Ironjustice